Bug 392511 - opening contact editor => crash
Summary: opening contact editor => crash
Status: RESOLVED FIXED
Alias: None
Product: kaddressbook
Classification: Applications
Component: general (show other bugs)
Version: 5.7.3
Platform: OpenSUSE Linux
: NOR normal with 1 vote (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-30 07:05 UTC by Philippe ROUBACH
Modified: 2019-02-13 14:17 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot of the popup after trying to debug (14.49 KB, image/png)
2018-11-07 08:59 UTC, Michael Grosskopf
Details
System info (27.90 KB, image/png)
2018-11-07 09:19 UTC, Michael Grosskopf
Details
output of gdb /usr/bin/kontact (2.87 KB, text/plain)
2018-11-11 12:55 UTC, Michael Grosskopf
Details
output of valgrind (8.16 KB, text/plain)
2018-11-11 12:58 UTC, Michael Grosskopf
Details
steps to make kaddressbook work (1006 bytes, text/plain)
2018-11-12 07:20 UTC, Michael Grosskopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe ROUBACH 2018-03-30 07:05:45 UTC
opensuse 42.3
kde apps 17.12.3
kde framework 5.44
plasma 5.12.4
kaddressbook 5.7.3

if i double click on a contact according to edit it then kaddressbook crashes
Comment 1 Laurent Montel 2018-03-30 10:01:50 UTC
Do you have kdepim-addons installed ?
Comment 2 Philippe ROUBACH 2018-03-30 10:07:01 UTC
(In reply to Laurent Montel from comment #1)
> Do you have kdepim-addons installed ?

yes

it is a several years old problem!
Comment 3 Laurent Montel 2018-03-30 10:33:53 UTC
So backtrace :)
Comment 4 Philippe ROUBACH 2018-03-30 13:34:01 UTC
kaddressbook alone => no problem
kaddressbook in Kontact => kontact crash

when kontact crashes then no dr konqui !
Comment 5 Philippe ROUBACH 2018-03-30 16:50:32 UTC
i launch kontact in konsole

messages when crash occurs

...
org.kde.pim.webengineviewer: search  "iWgpmQ=="  begin  278581  end  278595  hashCharStar "iWfNvQ=="
org.kde.pim.webengineviewer: search  "iWgpmQ=="  begin  278589  end  278595  hashCharStar "iWhgkw=="
org.kde.pim.webengineviewer: search  "iWgpmQ=="  begin  278589  end  278591  hashCharStar "iWflsg=="
org.kde.pim.webengineviewer: search  "iWgpmQ=="  begin  278591  end  278591  hashCharStar "iWg8Wg=="
Received signal 11 SEGV_MAPERR 0000000b4f26
#0 0x7eff121ee357 <unknown>
#1 0x7eff10f9bb64 <unknown>
#2 0x7eff121ee6ed <unknown>
#3 0x7eff20a34fe0 <unknown>
#4 0x7eff11098861 <unknown>
#5 0x7eff11002df0 <unknown>
#6 0x7eff127c2772 <unknown>
#7 0x7eff128cff5b <unknown>
#8 0x7eff116e8f11 <unknown>
#9 0x7eff116e99f5 <unknown>
#10 0x7eff116e9ba1 <unknown>
#11 0x7eff116e0337 <unknown>
#12 0x7eff116e2761 <unknown>
#13 0x7eff116e3405 <unknown>
#14 0x7eff116e5513 <unknown>
#15 0x7eff116e5c83 <unknown>
#16 0x7eff116e5dae <unknown>
#17 0x7eff116e6d71 <unknown>
#18 0x7eff11098d3d <unknown>
#19 0x7eff12b14f6d <unknown>
#20 0x7eff12b050ad <unknown>
#21 0x7eff12b05281 <unknown>
#22 0x7eff12b01756 <unknown>
#23 0x7eff12b07a42 <unknown>
#24 0x7eff12b1699d <unknown>
#25 0x7eff12ae9349 <unknown>
#26 0x7eff12b0b43b <unknown>
#27 0x7eff12ae6a27 <unknown>
#28 0x7eff12ae6e02 <unknown>
#29 0x7eff114d7de6 <unknown>
#30 0x7eff12afccb2 <unknown>
#31 0x7eff1226efd1 <unknown>
#32 0x7eff12209cb0 <unknown>
#33 0x7eff1220b4ce <unknown>
#34 0x7eff1220c4a9 <unknown>
#35 0x7eff1220ca50 <unknown>
#36 0x7eff12229068 <unknown>
#37 0x7eff11523465 <unknown>
#38 0x7eff1152389b <unknown>
#39 0x7eff12243f16 <unknown>
#40 0x7eff1223f27d <unknown>
#41 0x7eff1caaf724 start_thread
#42 0x7eff20aece8d __clone
  r8: 00007efeae7f96f0  r9: 00007efeae7f9710 r10: 00007efeae7f9570 r11: 0000000000000005
 r12: 00007efe9c17fb90 r13: 00007efe9c114f20 r14: 00000000031060c0 r15: 00007efeae7f96d0
  di: 00000000031060c0  si: 00007efeae7f96d0  bp: 0000000000000000  bx: 00007efeae7f96d0
  dx: 0000000000000001  ax: 00000000000b4f1a  cx: 00007efeae7f96c0  sp: 00007efeae7f9610
  ip: 00007eff11098861 efl: 0000000000010202 cgf: ffff000000000033 erf: 0000000000000004
 trp: 000000000000000e msk: 0000000000000000 cr2: 00000000000b4f26
[end of stack trace]
Calling _exit(1). Core file will not be generated.
x@linux-58nc:~>
Comment 6 Philippe ROUBACH 2018-10-12 07:58:04 UTC
it seems it's a general problem.

with kmail if i select "answer to author" then kontact crashes

with kaddressbook a second type of crash : if i use "send sms feature"
Comment 7 Philippe ROUBACH 2018-10-14 09:08:30 UTC
 when i try with gdb to get a back trace with kaddress or kmail 
then
kontact does not crash 
then
no i can't get any trace !
Comment 8 Philippe ROUBACH 2018-10-14 10:42:30 UTC
(In reply to Philippe ROUBACH from comment #7)
>  when i try with gdb to get a back trace with kaddress or kmail 
> then
> kontact does not crash 
> then
> no i can't get any trace !

obviously you must read "i can't get any trace !"
Comment 9 Philippe ROUBACH 2018-10-15 09:19:21 UTC
a very interesting feature:

for kaddressbook or kmail at the second try there is no crash.
Comment 10 Michael Grosskopf 2018-11-07 08:59:52 UTC
Created attachment 116144 [details]
screenshot of the popup after trying to debug

Screenshot belongs to my comment of November 7th 2018 concerning kaddressbook crashing
Comment 11 Michael Grosskopf 2018-11-07 09:19:58 UTC
Created attachment 116145 [details]
System info

kaddressbook crashes
Comment 12 Michael Grosskopf 2018-11-07 09:20:44 UTC
kaddress cannot be used
Comment 13 Philippe ROUBACH 2018-11-07 10:06:51 UTC
opensuse leap 15.0

plasma 5.12.6
kde framework 5.45.0
Qt 5.9.4

there is also a crash in contact editor at adding an address
Comment 14 Philippe ROUBACH 2018-11-07 10:15:55 UTC
I forgot an important info about problem.

I only use akonadi google contact address book.
Comment 15 Laurent Montel 2018-11-07 10:20:19 UTC
(In reply to Philippe ROUBACH from comment #14)
> I forgot an important info about problem.
> 
> I only use akonadi google contact address book.

Backtrace please
Comment 16 Philippe ROUBACH 2018-11-07 12:07:18 UTC
(In reply to Laurent Montel from comment #15)
> (In reply to Philippe ROUBACH from comment #14)
> > I forgot an important info about problem.
> > 
> > I only use akonadi google contact address book.
> 
> Backtrace please

see my comments #7 and #8
Comment 17 Laurent Montel 2018-11-07 14:02:18 UTC
(In reply to Philippe ROUBACH from comment #16)
> (In reply to Laurent Montel from comment #15)
> > (In reply to Philippe ROUBACH from comment #14)
> > > I forgot an important info about problem.
> > > 
> > > I only use akonadi google contact address book.
> > 
> > Backtrace please
> 
> see my comments #7 and #8

ok but without it I can't fix it...
Comment 18 Michael Grosskopf 2018-11-11 12:38:33 UTC
actions until now
installed eglibc, debug symbols for kontact. kmail, kaddressbook
several debug sessions with gdb and valgrind
Comment 19 Michael Grosskopf 2018-11-11 12:55:22 UTC
Created attachment 116244 [details]
output of gdb /usr/bin/kontact

the instructions how to use gdb could contain more information.
what to answer on a question about breakpoints?
where to find additional packages in case there is a hint about a missing file resp. a hint about the importance of that issue.
I am a user, no an IT-engineer. I would love to help but.....
 
I am a fan of KDE. I am using it on 4 machines, but on my Raspberry Server it is a battle to make the kaddressbook work. It might be just one or two bits to set, since the GUI appears and is on for several seconds.
Connection to google is working for mail and calendar and sometimes the google addresses appear.
Comment 20 Michael Grosskopf 2018-11-11 12:58:32 UTC
Created attachment 116245 [details]
output of valgrind

I hope one of the developers will try to improve this issue.
I am ready to help, just may need some instructions!
Comment 21 Michael Grosskopf 2018-11-12 07:20:38 UTC
Created attachment 116255 [details]
steps to make kaddressbook work

GOOD NEWS!
I downloaded all dbgsym-files to kde applications in use
installed glibc-source but no improvement
   error missing ...template.S still present
installed eglib-source, improvement but next error about a missing file appeared. <gdb> still not collecting useful information
apt autoremove kaddressbook
aptitude reinstall kaddressbook
due to reinstallation of mariadb (mariadb refused to start after moving directory /var to an external drive) I had to 
[INSTALL, DEPENDENCIES] libqt5sql5-mysql:armhf 5.7.1+dfsg-3+rpi1
[INSTALL] akonadi-backend-mysql:armhf 4:16.04.3-4
now all elements of kontact are working flawlessly.
I just received an error message right now after closing the program but that seems a minor thing after all the hassle.
cheers
Comment 22 Philippe ROUBACH 2018-11-12 09:00:06 UTC
i set up openSuse leap 15.0 Argon in virtualbox

kde plasma : 5.14.3
kde framework : 5.51.0
qt : 5.11.2

no crash for kaddressbook and kmail

perhaps because in virtualbox or not ?

anyway it is not a stable version of opensuse. we can expect others problem.
Comment 23 Philippe ROUBACH 2019-02-13 14:17:57 UTC
kontact 5.10.2

no more problem